@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@import url("https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");
@import url("https://fonts.googleapis.com/css2?family=Lora:ital,wght@0,400..700;1,400..700&family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap");

:root {
  --main-white: #f0f0f0;
  --main-red: #be3144;
  --main-blue: #45567d;
  --main-gray: #303841;
  --background: #ffffff;
  --nav-and-header: #007bff;
  --links-and-buttons: #ffa500;
  --hover-higlight: #32cd32;
  --conatainer: #f5f5f5;
  --container-text: #003366;
  --input-placeholder:#C0C0C0;
}

* {
  padding: 0;
  margin: 0;
}
*::before,
*::after {
  box-sizing: inherit;
}

html {
  box-sizing: border-box;

  /* Set font size for easy rem calculations
     * default document font size = 16px, 1rem = 16px, 100% = 16px
     * (100% / 16px) * 10 = 62.5%, 1rem = 10px, 62.5% = 10px
    */
   
  scroll-behavior: smooth;
}
body {
  font-family: "Poppins", sans-serif;
  font-size: 1.8rem;
  font-weight: 400;
  line-height: 1.4;
  color: var(--main-white);
}

 
/* welcome section */
.welcome-section {
  background: var(--conatainer);
  height: 100vh;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
  color: var(--container-text);
}
.welcome-section h1 {
  font-size: 6rem;
  font-weight: 500;
  color: var(--container-text);
  width: 100%;
  text-align: center;
}
.welcome-section p{
  font-size: 1.5rem;
}
.mail-btn {
  display: flex;
  justify-content: space-evenly;
  align-items: center;
  width: 50%;
 
  margin: 1rem auto;
 
}
.mail-btn input {
  background-color: var(--background);
  color: var(--container-text);
  padding: 1rem;
  font-size: medium;
  border: #66B2FF;
  outline: #66B2FF;
  width: 50%;
}
.mail-btn input::placeholder{
  color: var(--container-text);
}
.mail-btn button {
  background-color: var(--links-and-buttons);
  color: var(--container-text);
  padding: 1rem;
  font-size: medium;
  border: #66B2FF;
  outline: #66B2FF;
  text-transform: uppercase;
  width: 40%;
}
.welcome-section p:last-child{
  color: #303841;
  font-size: small;
  text-align: left;
}
@media (max-width: 835px) {
  .welcome-section h1{
     
    font-size: 4.5rem;
    text-align: center;
  }
  .welcome-section p{
    
    width: 100%;
    text-align: center;
  }
  .welcome-section p:last-child{
    text-align: center;
    width: 100%;
    font-size: 1rem;
  }
  .mail-btn{
    width: 100%;
     
  }
}

@media (max-width: 650px) {
  .welcome-section h1 {
    font-size: 3.5rem;
    width: 100%;
  }
  .welcome-section p{
    font-size: 1.2rem;
  }
  .mail-btn button{
    padding: 1rem;
    width: 35%;
  }
}
/* Projects section */

.projects-section {
  text-align: center;
  padding: 10rem 2rem;
  background: var(--main-blue);
}

.projects-section-header {
  max-width: fit-content;
  margin: 0 auto 6rem auto;
  border-bottom: 0.2rem solid var(--main-white);
  color: var(--background);
  padding: 1rem;
}

 

/* "Automagic" image grid using no media queries */
.projects-grid {
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(320px, 1fr));
  grid-gap: 4rem;
  width: 100%;
  max-width: 1280px;
  margin: 0 auto;
  margin-bottom: 6rem;
}

@media (max-width: 30.625em) {
  .projects-section {
    padding: 6rem 1rem;
  }

  .projects-grid {
    grid-template-columns: 1fr;
  }
}

.project {
  background: var(--main-gray);
  box-shadow: 1px 1px 2px rgba(0, 0, 0, 0.5);
  border-radius: 8px;
}

.code {
  color: var(--main-gray);
  transition: color 0.3s ease-out;
}

.project:hover .code {
  color: #ff7f50;
}

.project-image {
  height: calc(100% - 6.8rem);
  width: 100%;
  object-fit: cover;
  border-radius: 8px 8px 0px 0px;
}

.project-title {
  font-size: 1.5rem;
  padding: 2rem 0.5rem;
  color: var(--main-white);
}

.btn {
  display: inline-block;
  padding: 1rem 2rem;
  border-radius: 2px;
}
a.btn.btn-show-all{
  background: var(--background);
  color: var(--main-red);
}
.btn-show-all {
  font-size: 2rem;

  background: var(--main-gray);
  color: var(--main-white);
  transition: background 0.3s ease-out;
}

.btn-show-all:hover {
  background: var(--main-red);
   
}

.btn-show-all:hover > i {
  transform: translateX(2px);
}

.btn-show-all > i {
  margin-left: 10px;
  transform: translateX(0);
  transition: transform 0.3s ease-out;
}
a {
  text-decoration: none !important;
  
}
.contact-section {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  background-color: var(--main-gray);
}
.contact-header {
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
}
.contact-header p{
  color: var(--links-and-buttons);
}
.contact-header h1 {
  font-size: 6rem;
  font-weight: bold;
  padding: 1rem;
  color: var(--main-white);
  text-align: center;
}
.contact-details {
  display: flex;
  justify-content: center;
  align-items: center;
}

.contact-details i {
  color: var(--main-white);

  margin: 30px 0px;
}
.contact-details i:hover {
  transform: translateY(8px);
  transition: transform 0.3s ease-out;
}

@media (max-width: 650px) {
  .contact-header {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .contact-header h1 {
    font-size: 1.5rem;
  }
  .contact-details {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
  }
}
footer {
  font-weight: 300;
  display: flex;
  justify-content: space-evenly;
  padding: 2rem;
  background: var(--main-gray);
  border-top: 4px solid var(--main-red);
}

footer > p {
  margin: 2rem;
}

footer i {
  vertical-align: middle;
}

@media (max-width: 28.75em) {
  footer {
    flex-direction: column;
    text-align: center;
  }
  footer p {
    font-size: medium;
  }
}
@media (max-width: 440px) {
  .mail-btn button{
padding: 0.25rem;
}
}
.fa-facebook-square:hover{
  color: #1877f2;
}


.fa-linkedin:hover{
  color:#0a66c2;
}
.fa-whatsapp:hover{
  color:#25d366;
}
.fa-instagram:hover{
  color:#c32aa3;
}
.created-by{
  color: var(--links-and-buttons);
}
.portfolio-footer p{
color: var(--conatainer);
}